Remove not very useful test.

This is enforced by a version script. The regression test isn't buying
us much and is using support that we'd like to delete
(prebuilt-common.sh and the build.sh test runner). Doesn't seem worth
converting to test.py.

Test: treehugger
Bug: None
Change-Id: Ia1096032d3c53dd323d768fba79a6ab0a1dadb01
diff --git a/tests/build/libc_no_atexit/build.sh b/tests/build/libc_no_atexit/build.sh
deleted file mode 100755
index cceda69..0000000
--- a/tests/build/libc_no_atexit/build.sh
+++ /dev/null
@@ -1,44 +0,0 @@
-# Check that the libc.so for all platforms, and all architectures
-# Does not export 'atexit' and '__dso_handle' symbols.
-#
-export ANDROID_NDK_ROOT=$NDK
-
-NDK_BUILDTOOLS_PATH=$NDK/build/tools
-. $NDK/build/tools/prebuilt-common.sh
-echo DEFAULT_ARCHS=$DEFAULT_ARCHS
-
-LIBRARIES=
-for ARCH in $DEFAULT_ARCHS; do
-  TRIPLE=$(get_default_toolchain_prefix_for_arch $ARCH)
-  LIB=$(cd $NDK && find toolchains -name "libc.so" | grep $TRIPLE)
-  LIBRARIES=$LIBRARIES" $LIB"
-done
-
-FAILURE=
-COUNT=0
-for LIB in $LIBRARIES; do
-  COUNT=$(( $COUNT + 1 ))
-  echo "Checking: $LIB"
-  readelf -s $LIB | grep -q -F " atexit"
-  if [ $? = 0 ]; then
-    echo "ERROR: $LIB exposes 'atexit'!" >&2
-    FAILURE=true
-  fi
-  readelf -s $LIB | grep -q -F " __dso_handle"
-  if [ $? = 0 ]; then
-    echo "ERROR: $LIB exposes '__dso_handle'!" >&2
-    FAILURE=true
-  fi
-done
-
-if [ "$COUNT" = 0 ]; then
-  echo "ERROR: Did not find any libc.so in $NDK/platforms!"
-  exit 1
-fi
-
-if [ "$FAILURE" ]; then
-  exit 1
-else
-  echo "All $COUNT libc.so are ok!"
-  exit 0
-fi